## Class Swift_Encoder_Rfc2231Encoder

(line 20)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Encoder/Rfc2231Encoder.php

##### Handles RFC 2231 specified Encoding in Swift Mailer.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Encoder_Rfc2231Encoder __construct (Swift_CharacterStream $charStream)
void charsetChanged (string $charset)
string encodeString (string $string, [int $firstLineOffset = 0], [ $maxLineLength = 0], int $maxLineLength,)

#### Constructor __construct (line 34)

#### Swift_Encoder_Rfc2231Encoder __construct( Swift_CharacterStream $charStream)

##### Creates a new Rfc2231Encoder using the given character stream instance.

#### Parameters

- Swift_CharacterStream $charStream:

#### Info

- access - public

#### Method charsetChanged (line 84)

#### void charsetChanged( string $charset)

Implementation of:

Swift_Mime_CharsetObserver::charsetChanged()
  Notify this observer that the entity's charset has changed.

##### Updates the charset used.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method encodeString (line 47)

#### string encodeString( string $string, [int $firstLineOffset = 0], [ $maxLineLength = 0], int $maxLineLength,)

Implementation of:

Swift_Encoder::encodeString()
  Encode a given string to produce an encoded string.

##### Takes an unencoded string and produces a string encoded according to RFC 2231 from it.

#### Parameters

- string $string: to encode
- int $firstLineOffset:
- int $maxLineLength,: optional, 0 indicates the default of 75 bytes
- $maxLineLength:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3